Bug 1291849 - [Docs] [Director] OSP director overcloud deploy cannot be run in the background
[Docs] [Director] OSP director overcloud deploy cannot be run in the background
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 12:30 EST by Ben Nemec
Modified: 2016-04-13 00:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 00:43:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Nemec 2015-12-15 12:30:40 EST
Description of problem: If the overcloud deploy command in OSP director is run in the background (e.g. openstack overcloud deploy --templates &), the post-deploy step will hang until it is brought back to the foreground.  Until this can be fixed in the code itself, we need a note in the documentation to not background the deploy process.


Version-Release number of selected component (if applicable): All 7.X releases, and 8.0 as well for the moment (although we will hopefully fix the underlying problem before 8.0 ships, it would be good to add the note there too in case we don't).


How reproducible: Always


Steps to Reproduce:
1. openstack overcloud deploy --templates &
2.
3.

Actual results: Deploy hangs on keystone post-deployment


Expected results: Deploy completes successfully


Additional info: There is a separate bug open for the underlying functional problem: https://bugzilla.redhat.com/show_bug.cgi?id=1263801
Comment 4 Andrew Dahms 2016-01-07 01:10:49 EST
Assigning to Dan for review.
Comment 9 Andrew Dahms 2016-04-13 00:43:27 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.